<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="multipleItemPurchase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../shared/xml/schema/vehicle.xsd">
    <annotation>Zaden element modyfikacji nie zostal wykonany w niedziele i swieta.</annotation>

    <storeData>
        <name>$l10n_emptyBarrel</name>
        <specs>
            <weight ignore="true"/>
        </specs>
        <functions>
            <function>$l10n_function_emptyBarrel</function>
        </functions>
        <image>pallets/store_emptyBarrel.dds</image>
        <price>20</price>
        <lifetime>600</lifetime>
        <allowLeasing>false</allowLeasing>
        <canBeSold>false</canBeSold>
        <rotation>0</rotation>
        <brand>NONE</brand>
        <category>pallets</category>
        <financeCategory>OTHER</financeCategory>
        <shopHeight>1.5</shopHeight>
        <shopLoadingDelay initial="0.2" config="0.2"/>
        <vertexBufferMemoryUsage>512</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>256</indexBufferMemoryUsage>
        <textureMemoryUsage>65536</textureMemoryUsage>
        <audioMemoryUsage>0</audioMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>

    <base>
        <typeDesc>$l10n_typeDesc_barrel</typeDesc>
        <filename>$data/objects/multiPurchaseItem/multiPurchaseItem.i3d</filename>
        <size width="2.8" length="4.4" height="0.9" lengthOffset="0.0"/>
        <canBeReset>false</canBeReset>
        <components maxMass="10">
            <component centerOfMass="0 0.3 0" solverIterationCount="10" mass="30" />
        </components>
    </base>
	
    <fillUnit>
        <fillUnitConfigurations>
            <fillUnitConfiguration name="$l10n_configuration_valueDefault">
                <fillUnits removeVehicleIfEmpty="true">
                    <fillUnit unitTextOverride="$l10n_unit_literShort" fillTypes="EMPTYBARREL" capacity="159" startFillType="EMPTYBARREL" startFillLevel="159" ignoreFillLimit="true">
                        <fillRootNode node="0>" />
                    </fillUnit>
                </fillUnits>
            </fillUnitConfiguration>
        </fillUnitConfigurations>
    </fillUnit>

    <multipleItemPurchase filename="pallets/emptyBarrel.xml" isVehicle="true">
        <itemPositions>
            <itemPosition position="0 0 0" rotation="0 6 0"/>
            <itemPosition position="-0.6 0 0" rotation="0 34 0"/>
            <itemPosition position="0 0 -0.6" rotation="0 45 0"/>
            <itemPosition position="-0.6 0 -0.6" rotation="0 2 0"/>

            <itemPosition position="0 0 -1.4" rotation="0 34 0"/>
            <itemPosition position="-0.6 0 -1.4" rotation="0 87 0"/>
            <itemPosition position="0 0 -2" rotation="0 12 0"/>
            <itemPosition position="-0.6 0 -2" rotation="0 52 0"/>
	  
            <itemPosition position="0 1.2 0" rotation="0 54 0"/>
            <itemPosition position="-0.6 1.2 0" rotation="0 83 0"/>
            <itemPosition position="0 1.2 -0.6" rotation="0 39 0"/>
            <itemPosition position="-0.6 1.2 -0.6" rotation="0 43 0"/>
	  
            <itemPosition position="0 1.2 -1.4" rotation="0 89 0"/>
            <itemPosition position="-0.6 1.2 -1.4" rotation="0 65 0"/>
            <itemPosition position="0 1.2 -2" rotation="0 21 0"/>
            <itemPosition position="-0.6 1.2 -2" rotation="0 15 0"/>
	  </itemPositions>
    </multipleItemPurchase>

    <multipleItemPurchaseAmountConfigurations>
        <multipleItemPurchaseAmountConfiguration name="1" price="0"/>
        <multipleItemPurchaseAmountConfiguration name="2" price="20"/>
        <multipleItemPurchaseAmountConfiguration name="3" price="40"/>
        <multipleItemPurchaseAmountConfiguration name="4" price="60"/>
        <multipleItemPurchaseAmountConfiguration name="5" price="80"/>
        <multipleItemPurchaseAmountConfiguration name="6" price="100"/>
        <multipleItemPurchaseAmountConfiguration name="7" price="120"/>
        <multipleItemPurchaseAmountConfiguration name="8" price="125"/>
        <multipleItemPurchaseAmountConfiguration name="9" price="160"/>
        <multipleItemPurchaseAmountConfiguration name="10" price="180"/>
        <multipleItemPurchaseAmountConfiguration name="11" price="200"/>
        <multipleItemPurchaseAmountConfiguration name="12" price="220"/>
        <multipleItemPurchaseAmountConfiguration name="13" price="240"/>
        <multipleItemPurchaseAmountConfiguration name="14" price="260"/>
        <multipleItemPurchaseAmountConfiguration name="15" price="280"/>
        <multipleItemPurchaseAmountConfiguration name="16" price="300"/>
    </multipleItemPurchaseAmountConfigurations>
</vehicle>